Generate Final Video from Proofread
POST
https://api.konpro.ai/v1/video_translate/proofread/{proofread_id}/generateInitiate the creation of the final video output based on an existing proofread job. You can optionally enable captions or choose to translate only the audio track.
Request History
Log in to see full request history
| TIME | STATUS | USER AGENT |
|---|---|---|
| Make a request to see history. | ||
0 Requests This Month
Path Parameter
| Parameter | Type | Description |
|---|---|---|
| proofread_id | string | Unique ID of the proofread job (required) |
Request Body Parameters
| Field | Type | Description |
|---|---|---|
| captions | boolean | Include subtitles in the generated video if true |
| translate_audio_only | boolean | If true, only the audio track is translated (default false) |
| callback_id | string | Custom ID for tracking callbacks (optional) |
| callback_url | string | URL to receive asynchronous status updates (optional) |
Response Fields
| Field | Type | Description |
|---|---|---|
| video_translate_id | string | ID of the newly generated video |
| status | string | Current status of the video process |
cURL Request
shell
curl --request POST \
--url https://api.konpro.ai/v1/video_translate/proofread/<proofread_id>/generate \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-api-key: <your-api-key>' \
--data '{
"captions": true,
"translate_audio_only": false,
"callback_id": "uniqueCallback123",
"callback_url": "https://yourapp.com/webhook"
}'LANGUAGE
CREDENTIALS
HEADER
RESPONSE
Examples
Choose an example:
application/json
200 - Success
400 - Bad Request
LANGUAGE
CREDENTIALS
HEADER
RESPONSE
Examples
Choose an example:
application/json
200 - Success
400 - Bad Request